package zyh.robot;

import java.util.LinkedList;

/**
 * A content object contains the filtered document
 */
public class Content
{
	/**
	 * urlID the unique ID for every URL
	 */
	public int urlID;
	/**
	 * the title of the filtered document
	 */
	public LinkedList title=new LinkedList();
	/**
	 * the relative keyword of the filtered document
	 */
	public LinkedList keywords=new LinkedList();
	/**
	 * the summary of the filtered document
	 */
	public LinkedList summary=new LinkedList();	
	/**
	 * the text of the filtered document
	 */
	public LinkedList text=new LinkedList();

	/**
	 * the contained url links in the filtered document
	 */
	public LinkedList[] links;
	public static final int SRC_LINK=0;
	public static final int BACKGROUND_LINK=1;
	public static final int HREF_LINK=2;
	public static final int LINK_KIND=3;

	public Content()
	{
		links=new LinkedList[LINK_KIND];
		for(int i=0;i<LINK_KIND;i++)
			links[i]=new LinkedList();
	}
}
