package zyh.robot;

/**
 * The interface that every content filter class must implement.
 * <P>The zyh.robot framework allows for multiple content filters.
 *
 * @see ContentManager
 * @see Content 
 */
public interface ContentFilter
{
	/**
	 * Return an String array which contains all supported content types
	 */
	String[] getAcceptedContenttype();

	/**
	 * Attempts to get a content from a given input stream.
	 *
	 * @return a Content from the input stream
	 *
	 * @param InputStream an input stream
	 * @exception IOException if an input stream access error occurs
	 */
	Content getContent(java.io.InputStream in)throws java.io.IOException;
}